ingame = {}

function ingame.enter()
	state = STATE_INGAME
	stopMusic()
	--playMusic("Desert_Theme",loop)
end

spawn_x,spawn_y = 650,800

function ingame.update(dt)
	updateKeys()
	world:update(dt)

	if char_selection == 1 then
		if love.keyboard.isDown("right") then
			Max_b:applyForce(M_Run_Speed,0)
		elseif love.keyboard.isDown("left") then
			Max_b:applyForce(-1*(M_Run_Speed),0)
		elseif love.keyboard.isDown("up") then
			Max_b:setPosition(spawn_x,spawn_y)
		end
	elseif char_selection == 2 then
		if love.keyboard.isDown("right") then
			Christian_b:applyForce(C_Run_Speed,0)
		elseif love.keyboard.isDown("left") then
			Christian_b:applyForce(-1*(C_Run_Speed),0)
		elseif love.keyboard.isDown("up") then
			Christian_b:setPosition(spawn_x,spawn_y)
		end
	end

	--[[if love.keyboard.isDown("right") then
		objects.ball.body:applyForce(400,0)
	elseif love.keyboard.isDown("left") then
		objects.ball.body:applyForce(-400,0)
	elseif love.keyboard.isDown("up") then
		objects.ball.body:setPosition(spawn_x,spawn_y)
	end]]
	--Below is what controls cam's position.
	if char_selection == 1 then
		cam:lookAt(Max_b:getX(), Max_b:getY()-140)
	elseif char_selection == 2 then
		cam:lookAt(Christian_b:getX(), Christian_b:getY()-140)
	end
	-- Number for the HUD is 140 without the HUD it is 340

	--mobs.create.FoA_AI(4000,0,6000)
	if gamestate == ingame then
		mobs.FoA.AI(dt,4000,6000)
	end

end

function ingame.draw()
	cam:attach()
	lg.draw(img.Desert_and_Cave_Enterance,0,0)
	lg.draw(img.Cave1,4000,0)
	--lg.draw(img.Cavein_1, 5500,0)


	lg.setColor(84, 5, 244) -- set the colour for the ground
	lg.polygon("fill", objects.ground.body:getWorldPoints(objects.ground.shape:getPoints()))	-- draw a "filled in" polygon using the ground's coordinates
	--[[Without these calls to draw them they remain invisable
	lg.polygon("fill", c_platform1_b:getWorldPoints(c_platform1_s:getPoints()))
	lg.polygon("fill", c_platform2_b:getWorldPoints(c_platform2_s:getPoints()))
	lg.polygon("fill", c_platform3_b:getWorldPoints(c_platform3_s:getPoints()))
	lg.polygon("fill", c_platform4_b:getWorldPoints(c_platform4_s:getPoints()))
	]]
	--[[lg.polygon("line", Cavein1_b:getWorldPoints(Cavein1_s:getPoints()))
	lg.polygon("line", Cavein1_b:getWorldPoints(Cavein1_s4:getPoints()))
	--lg.polygon("line", Cavein1_b:getWorldPoints(Cavein1_s2:getPoints()))
	lg.line(Cavein1_s2:getPoints())
	lg.line(Cavein1_s3:getPoints())
	lg.line(Cavein1_s5:getPoints())
	lg.line(Cavein1_s6:getPoints())]]

	--[[lg.setColor(193, 47, 14) --set the colour for the ball
	lg.circle("fill", objects.ball.body:getX(), objects.ball.body:getY(), objects.ball.shape:getRadius())

	lg.setColor(0,0,255)
	lg.rectangle("fill", objects.ball.body:getX()-400, objects.ball.body:getY()+70, 800,200)
]]
	--Draw of the mobs!
	mobs.FoA.draw()

	if char_selection == 1 then
		Max.draw()
		Max.HUD()
		lg.setColor(255,255,255)
	else
		Christian.draw()
		Christian.HUD()
		lg.setColor(255,255,255)
	end



	lg.setColor(255,255,255)
	cam:detach()

end


d_jump = 0

function beginContact(a, b, coll)
	d_jump = 0
	jump = coll:isTouching()
	if a == Max_f or a == Christian_f or a == mobs.FoA.fixture and b == Max_f or b == Christian_f or b == mobs.FoA.fixture then
		fight = coll:isTouching()
	end
end

function endContact(a, b, coll)
	jump = coll:isTouching()
	if a == Max_b or a == Christian_b or a == mobs.FoA.body and b == Max_b or b == Christian_b or b == mobs.FoA.body then
		fight = coll:isTouching()
	end
end


function ingame.keypressed(k, uni)
	--[[if k == "right" then
		objects.ball.body:applyForce(450,0)

	elseif k == "left" then
		objects.ball.body:applyForce(-450,0)
	elseif k == "up" then
		objects.ball.body:s
		etPosition(650/2,650/2)]]
	if k == "escape" then
		--love.event.quit()
		pause.enter()
	end

	--[[elseif d_jump < 2 then
		if k == " " then
			objects.ball.body:applyLinearImpulse(0,-150)
			d_jump = d_jump + 1
		end
	else
		JumpTimer:add(.6959,function() d_jump = 0 end)
	end]]
	if jump == true then
		d_jump = 0
		if d_jump < 2 then
			if k == " " and char_selection == 1 then
				Max_b:applyLinearImpulse(0,-180)
				d_jump = d_jump + 1
			elseif k == " " and char_selection == 2 then
				Christian_b:applyLinearImpulse(0,-180)
				d_jump = d_jump + 1
			end
		end
	elseif jump == false then
		if d_jump < 2 then
			if k == " " and char_selection == 1 then
				Max_b:applyLinearImpulse(0,-180)
				d_jump = d_jump + 1
			elseif k == " " and char_selection == 2 then
				Christian_b:applyLinearImpulse(0,-180)
				d_jump = d_jump + 1
			end
		end
	end
end

function ingame.action(k)
	if k == "down" then
		selection = wrap(selection + 1, 1,4)

	elseif k == "up" then
		selection = wrap(selection - 1, 1,4)

	elseif k == "jump" then
			if selection == 1 then
			ingame.enter()
		elseif selection == 2 then
			options.enter()
		elseif selection == 3 then
			love.event.quit()
		end
	end
end
