options = {}
local lg = love.graphics

function options.enter()
	state = STATE_OPTIONS
	selection = 1
	down = 1
	stopMusic()
	--playMusic("SW9",loop)
end

function options.update(dt)
	updateKeys()
end

function options.draw()

	lg.draw(img.Options_Screen, 0,0)

	lg.push()

	lg.scale(.60,.60)
	lg.draw(img.Button_Up_Controls, 50,200)
	lg.draw(img.Button_Up_Audio, 450,200)
	lg.draw(img.Button_Up_Gameplay, 850,200)

	for i=1,3 do
		if selection == 1 then
			lg.draw(img.Button_Down_Controls, 50,200)

		elseif selection == 2 then
			lg.draw(img.Button_Down_Audio, 450,200)
		elseif selection == 3 then
			lg.draw(img.Button_Down_Gameplay, 850,200)
		end
	end

	--[[lg.draw()
	lg.draw()

	for z=1,6 do
		if down == 1 then
			lg.draw()
		elseif down == 2 then
			lg.draw()
		elseif down == 3
			lg.draw()
		elseif down == 4
			lg.draw()
		elseif down == 5
			lg.draw()
		elseif down == 6
			lg.draw()
		end
	end This is not needed use the bellow stuff, nerd.
	<3 Max.]]
	lg.pop()

	lg.push()

	lg.scale(3.5,3.5)

	if selection == 1 then
		lg.print("KEYBOARD", 65, 63)
		lg.print("JOYSTICK", 65, 76)
		lg.print("BACK", 65, 89)

	elseif selection == 2 then
		lg.print("SOUND VOL:", 65, 63)
		lg.print(math.floor(config.sfx_volume*10+0.01), 167, 63)
		lg.print("MUSIC VOL:", 65, 76)
		lg.print(math.floor(config.music_volume*10+0.01), 167, 76)
		lg.print("BACK", 65, 89)

	elseif selection == 3 then
		lg.print("FULLSCREEN:", 65, 63)
		if config.fullscreen == 0 then
			lg.print("OFF", 167, 63)
		else
			lg.print("ON", 167, 63)
		end

		lg.print("VSYNC:", 65, 76)
		lg.print(config.vsync and "ON" or "OFF", 167, 76)
		lg.print("BACK", 65, 89)
	end


	lg.print(">", 52, 49+down*13)

	lg.pop()
end

function options.keypressed(k, uni)
	if k == "right" then
		selection = wrap(selection + 1, 1,3)

	elseif k == "left" then
		selection = wrap(selection - 1, 1,3)
	elseif k == "down" then
		down = wrap(down + 1, 1,3)
	elseif k == "up" then
		down = wrap(down - 1, 1,3)
	elseif k == "return" then --Going Up!
		if selection == 1 and down == 1 then
			lg.print("Doesn't work yet.", 100, 100)
		elseif selection == 1 and down == 2 then
			lg.print("Doesn't work yet.", 100, 100)
		elseif selection == 1 and down == 3 then
			mainmenu.enter()

		elseif selection == 2 and down == 1 then --Sound Effects
			config.sfx_volume = config.sfx_volume + 0.1, 0,1
		elseif selection == 2 and down == 2 then --Music
			config.music_volume = config.music_volume + 0.1, 0,1

		elseif selection == 2 and down == 3 then
			mainmenu.enter()

		elseif selection == 3 and down == 1 then
			config.fullscreen = 1
			--config.fullscreen = 0
			setMode()
		elseif selection == 3 and down == 2 then
			toggleVSync()
		elseif selection == 3 and down == 3 then
			mainmenu.enter()
		end
	elseif k == " " then --Going Down
		if selection == 2 and down == 1 then
			config.sfx_volume = config.sfx_volume - 0.1, 0,1
		elseif selection == 2 and down == 2 then
			config.music_volume = config.music_volume - 0.1, 0,1
		elseif selection == 3 and down == 1 then
			config.fullscreen = 0
			setMode()
		end
	elseif k == "escape" then
		mainmenu.enter()
	end
end

function options.action(k)
	if k == "right" then
		selection = wrap(selection + 1, 1,3)

	elseif k == "left" then
		selection = wrap(selection - 1, 1,3)
	elseif k == "down" then
		down = wrap(down + 1, 1,3)
	elseif k == "up" then
		down = wrap(down - 1, 1,3)
	elseif k == "jump" then
		if selection == 1 and down == 1 then
			lg.print("Doesn't work yet.", 100, 100)
		elseif selection == 1 and down == 2 then
			lg.print("Doesn't work yet.", 100, 100)
		elseif selection == 1 and down == 3 then
			mainmenu.enter()

		elseif selection == 2 and down == 1 then
			lg.print("Doesn't work yet.", 100, 100)
		elseif selection == 2 and down == 2 then
			lg.print("Doesn't work yet.", 100, 100)

		elseif selection == 2 and down == 3 then
			mainmenu.enter()

		elseif selection == 3 and down == 1 then
			lg.print("FUCK YOU IT DOESN'T WORK", 200,200)
		elseif selection == 3 and down == 2 then
			toggleVSync()
		elseif selection == 3 and down == 3 then
			mainmenu.enter()
		end
	end
end
