pause = {}

function pause.enter()
	state = STATE_PAUSE
	pause_selection = 1
end

function pause.draw()
	ingame.draw()
	lg.draw(img.Pause, 200,150)

	lg.draw(img.Button_Up_Resume, 300,200)
	lg.draw(img.Button_Up_Options, 300, 275)
	lg.draw(img.Button_Up_Save,300, 350)
	lg.draw(img.Button_Up_Load, 300, 425)
	lg.draw(img.Button_Up_MainMenu,300, 500)
	lg.draw(img.Button_Up_Quit, 300, 575)

	for i = 1,6 do
		if pause_selection == 1 then
			lg.draw(img.Button_Down_Resume, 300,200)
		elseif pause_selection == 2 then
			lg.draw(img.Button_Down_Options, 300, 275)
		elseif pause_selection == 3 then
			lg.draw(img.Button_Down_Save,300, 350)
		elseif pause_selection == 4 then
			lg.draw(img.Button_Down_Load, 300, 425)
		elseif pause_selection == 5 then
			lg.draw(img.Button_Down_MainMenu,300, 500)
		elseif pause_selection == 6 then
			lg.draw(img.Button_Down_Quit, 300, 575)
		end
	end

end

function pause.update()
	updateKeys()
end

function pause.keypressed(k, uni)
	if k == "down" then
		pause_selection = wrap(pause_selection + 1, 1,6)

	elseif k == "up" then
		pause_selection = wrap(pause_selection - 1, 1,6)

	elseif k == "return" or k == " " then
		if pause_selection == 1 then
			ingame.enter()
		elseif pause_selection == 2 then
			options.enter()
		elseif pause_selection == 3 then
			lg.print("NOPE")
		elseif pause_selection == 4 then
			lg.print("NOPE")
		elseif pause_selection == 5 then
			mainmenu.enter()
		elseif pause_selection == 6 then
			love.event.quit()
		end
	end
end

function pause.action(k)
	if k == "down" then
		selection = wrap(selection + 1, 1,4)

	elseif k == "up" then
		selection = wrap(selection - 1, 1,4)

	elseif k == "a" then
			if selection == 1 then
			ingame.enter()
		elseif selection == 2 then
			options.enter()
		elseif selection == 3 then
			love.event.quit()
		end
	end
end

