function loadPhysics()
	love.physics.setMeter(50)
	world = love.physics.newWorld(0,9.81*64,true)
	objects = {} -- table to hold all our physical objects

	--let's create the ground
	objects.ground = {}
	objects.ground.body = love.physics.newBody(world, 3000, 820) --remember, the shape (the rectangle we create next) anchors to the body from its center, so we have to move it to (650/2, 650-50/2)
	objects.ground.shape = love.physics.newRectangleShape(6000, 50) --make a rectangle with a width of 650 and a height of 50
	objects.ground.fixture = love.physics.newFixture(objects.ground.body, objects.ground.shape) --attach shape to body

	--That one invisable wall
	--In the future make an if statement that makes this disapear after killing Anansi
	invis_wall_b = love.physics.newBody(world, 400, 400)
	invis_wall_s = love.physics.newRectangleShape(20, 1000)
	invis_wall_f = love.physics.newFixture(invis_wall_b,invis_wall_s)

	--Cave Platforms Bruh
	c_platform1_b = love.physics.newBody(world, 4800, 560)
	c_platform1_s = love.physics.newRectangleShape(288, 30)
	c_platform1_f = love.physics.newFixture(c_platform1_b, c_platform1_s)

	c_platform2_b = love.physics.newBody(world, 5145, 384)
	c_platform2_s = love.physics.newRectangleShape(288, 30)
	c_platform2_f = love.physics.newFixture(c_platform2_b, c_platform2_s)

	c_platform3_b = love.physics.newBody(world, 4722, 180)
	c_platform3_s = love.physics.newRectangleShape(288, 30)
	c_platform3_f = love.physics.newFixture(c_platform3_b, c_platform3_s)

	c_platform4_b = love.physics.newBody(world, 5156, 63)
	c_platform4_s = love.physics.newRectangleShape(288, 30)
	c_platform4_f = love.physics.newFixture(c_platform4_b, c_platform4_s)

	--Cave ins and junk.

	--Cavein1_p = {5500,300,5520,340,5525,344,5540,350}

	Cavein1_b = love.physics.newBody(world, 0, 0)
	Cavein1_s = love.physics.newPolygonShape(5466,794,5494,725,5520,715,5550,680)
	Cavein1_s2 = love.physics.newEdgeShape(5550,680, 5580,670)
	Cavein1_s3 = love.physics.newEdgeShape(5580,670,5590,348)
	Cavein1_s4 = love.physics.newPolygonShape(5590,348, 5570,320, 5595,150)
	Cavein1_s5 = love.physics.newEdgeShape(5595,150, 5640, 40)
	Cavein1_s6 = love.physics.newEdgeShape(5640, 40, 5595, 0)
	--love.physics.newRectangleShape(20, 1000)
	Cavein1_f = love.physics.newFixture(Cavein1_b, Cavein1_s)
	Cavein1_f2 = love.physics.newFixture(Cavein1_b, Cavein1_s2)
	Cavein1_f3 = love.physics.newFixture(Cavein1_b, Cavein1_s3)
	Cavein1_f4 = love.physics.newFixture(Cavein1_b, Cavein1_s4)
	Cavein1_f5 = love.physics.newFixture(Cavein1_b, Cavein1_s5)
	Cavein1_f6 = love.physics.newFixture(Cavein1_b, Cavein1_s6)
	--let's create a ball
	--[[objects.ball = {}
	objects.ball.body = love.physics.newBody(world, spawn_x,spawn_y, "dynamic") --place the body in the center of the world and make it dynamic, so it can move around
	objects.ball.shape = love.physics.newCircleShape( 20) --the ball's shape has a radius of 20
	objects.ball.fixture = love.physics.newFixture(objects.ball.body, objects.ball.shape, 1) -- Attach fixture to body and give it a density of 1.
	objects.ball.fixture:setRestitution(0) --let the ball bounce
]]
	--[[Max_b = love.physics.newBody(world, spawn_x,spawn_y, "dynamic")
	Max_s = love.physics.newCircleShape(25)
	Max_f = love.physics.newFixture(Max_b, Max_s, 1)]]
end
